Query Support Currency Pairs
Retrieves the currency pairs currently supported for foreign exchange.
Endpoint
POST /remittance/exchange/query-currency-pairs
Sandbox base URL: https://rem-api-sandbox.pagsmile.com
Content-Type: application/json; charset=UTF-8
The request uses the standard Remittance API request envelope. The fields below describe the decrypted biz_data object.
Encrypt biz_data, encrypt the AES key into random_key, and sign the request according to the Common request specification.
Request body
Decrypted biz_data fields
partner_id
string
M
Pagsmile-assigned unique identifier of the partner.
merchant_id
long
O
Pagsmile-assigned unique identifier of the merchant.
Plaintext biz_data example
{
"partner_id": "200000001000001",
"merchant_id": 100398
}Request example
curl --request POST \
--url https://rem-api-sandbox.pagsmile.com/remittance/exchange/query-currency-pairs \
--header 'Content-Type: application/json; charset=UTF-8' \
--data '{
"partner_id": "<your_partner_id>",
"app_id": "<your_app_id>",
"timestamp": "2026-07-20 10:30:00",
"version": "2.0",
"language": "en",
"random_key": "<RSA-encrypted AES key>",
"request_id": "<globally_unique_request_id>",
"sign_type": "RSA",
"biz_data": "<AES-encrypted biz_data>"
}'Response
Response data fields
buy_currency
string
O
Three-letter ISO 4217 code of the currency being purchased.
sell_currency
string
O
Three-letter ISO 4217 code of the currency being sold.
Related APIs
Last updated
Was this helpful?